rm(list=ls())
library(foreign)
library(pscl)

dat <- read.dta("ajps_replication_v12.dta")

dat <- subset(dat, subset = (country=="Netherlands" | country=="Germany" | country=="Denmark"))

pois.mod <- glm(totalchanges_wyes_new ~  nonmedianminister + minmeddist + minnonmeddist_nonmedmin + minority + nocomm + logno_articles_new + censor + exposure + germany + netherlands + dimension3 + dimension4 + dimension7 + dimension8, family=poisson(link="log"), data=dat)

summary(pois.mod)

library(MASS)
nb.mod <- glm.nb(totalchanges_wyes_new ~  nonmedianminister + minmeddist + minnonmeddist_nonmedmin + minority + nocomm + logno_articles_new + censor + exposure + germany + netherlands + dimension3 + dimension4 + dimension7 + dimension8, data=dat)

summary(nb.mod)

AIC(pois.mod, nb.mod)
BIC(pois.mod, nb.mod)

library(lmtest)
lrtest(pois.mod, nb.mod)

zero.mod <- zeroinfl(totalchanges_wyes_new ~  nonmedianminister + minmeddist + minnonmeddist_nonmedmin + minority + nocomm + logno_articles_new + censor + exposure + germany + netherlands + dimension3 + dimension4 + dimension7 + dimension8, data=dat, dist="negbin")

summary(zero.mod)

vuong(zero.mod, nb.mod)

AIC(pois.mod, nb.mod, zero.mod)
BIC(pois.mod, nb.mod, zero.mod)