x <- seq(from=0, to=4, by=0.01)
alpha <- 1
y <- dgamma(x, shape=1/alpha, scale=alpha)

png(file="gamma.png")
plot(y~x, lwd=2, col="darkgray", type="l", ylab = "f(x)")

mean(rgamma(50000, shape=1/alpha, scale=alpha))
var(rgamma(50000, shape=1/alpha, scale=alpha))

alpha <- 0.5
y <- dgamma(x, shape=1/alpha, scale=alpha)
lines(y~x, lty=2)

alpha <- 0.25
y <- dgamma(x, shape=1/alpha, scale=alpha)
lines(y~x)

legend(legend = c("alpha = 1", "alpha = 0.5", "alpha = 0.25"), "topright", lty=c(1, 2, 1), lwd=c(2,1,1), col=c("darkgray", "black", "black"))
dev.off()


